%define version 0.3.16
%define release 1mdk

Summary: 	Collection of plug-ins to cryptographic engines
Name: 		cryptplug
Version: 	%{version}
Release: 	%{release}
# tar.gz at ftp://ftp.gnupg.org/gcrypt/alpha/cryptplug/
Source0: 	%{name}-%{version}.tar.bz2
License: 	GPL
Group: 		System/Libraries
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
URL: 		http://www.gnupg.org/gpgme.html
BuildRequires:	gpgme-devel

%description
This is a collection of plug-ins to cryptographic engines, accessible
by the crypt-plug interface.  Applications can make use of the crypto
operations provided by the CryptPlug interface, and the plug-ins
provided by this package implement the interface for various
cryptographic engines, like GnuPG.

There are plug-ins for different crypto engines available.

%prep
%setup -q

%build
%configure2_5x --enable-cryptplug-gpgme=yes
%make

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/cryptplug

%changelog
* Fri Oct 17 2003 Abel Cheung <deaddog@deaddog.org> 0.3.16-1mdk
- 1.3.16
- Fix buildrequires

* Mon Apr 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3.15-2mdk
- Fix spec file

* Wed Dec 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3.15-1mdk
- spec file from Fabrice MARIE <fabrice-marie-sec@ifrance.com>
